(import test)

(define-syntax xtest-assert
  (syntax-rules ()
    ((_ ?expected ?selector ?param ...)
     (test ?expected (?selector ?param ...)))))

(define cout void)                      ; Screw this
(define cerr void)
(define nl #f)

(define myenv:error error)

(define-syntax define-macro             ; Screw this, too
  (syntax-rules ()
    ((_ ?ignore ...) (void))))

;; From vsxpathlib.scm
(define-syntax sxp:run-test
  (syntax-rules ()
    ((_ ?selector ?node ?expected-result)
     (test ?expected-result (?selector ?node)))))

;; From vcontext.scm (identical to the above...)
(define-syntax vcntxt:run-test
  (syntax-rules ()
    ((_ ?selector ?node ?expected-result)
     (test ?expected-result (?selector ?node)))))

(import txpath sxpath-lolevel sxpath context-sxpath-lolevel ddo-sxpath-lolevel)

(test-group "all sxpath flavors and subsystems"
  (test-group "sxpath-ext (sxpath-lolevel & sxpath)"
    (include "../sxml-tools/tests/vsxpath-ext.scm"))
  (test-group "sxpath-lib (sxpath-lolevel & sxpath)"
    (include "../sxml-tools/tests/vsxpathlib.scm"))
  (test-group "txpath"
    (include "../sxml-tools/tests/vtxpath.scm"))
  (test-group "vcontext (context-sxpath-lolevel)"
    (include "../sxml-tools/tests/vcontext.scm"))
  (test-group "vddo (ddo-sxpath-lolevel)"
    (include "../sxml-tools/tests/vddo.scm")))
(test-exit)
